//
//  NavigationViewController.h
//  ShipwreckAdventure
//
//  Created by Cody Powell on 11/9/10.
//  Copyright 2010 Famigo. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UIGradientButton.h"
#import "GameConstants.h"

@interface NavigationViewController : UIViewController<UIPickerViewDataSource, UIPickerViewDelegate> {
	IBOutlet UILabel *taskLabel;
	IBOutlet UILabel *recommendLabel;
	IBOutlet UILabel *currentPlayerStatus;
	IBOutlet UIPickerView *locationsPicker;
	IBOutlet UIGradientButton *moveButton;
	
	LocationDesc newLocation;
}

@property (assign, nonatomic) LocationDesc newLocation;

-(IBAction)moveButtonClicked:(id)sender;
-(void)refreshView;
@end
