//
//  Quest.h
//  ShipwreckAdventure
//
//  Created by Cody Powell on 11/9/10.
//  Copyright 2010 Famigo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GameConstants.h"

@interface Quest : NSObject {
	StageDesc currentStage;
	NSMutableArray *players;
}

@property (assign, nonatomic) StageDesc currentStage;
@property (retain, nonatomic) NSMutableArray *players;

-(BOOL)allPlayersAtSameLocation;
+(Quest*)sharedInstance;
-(NSDictionary*)buildDictionaryForCurrentQuest;
-(void)rebuildQuest;

@end
