//
//  ShipwreckAdventureViewController.h
//  ShipwreckAdventure
//
//  Created by Cody Powell on 11/9/10.
//  Copyright 2010 Famigo. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FamigoController.h"
#import "GameConstants.h"

@class LogoAnimationController;
@class GearTab;
@class NavigationViewController;

@interface ShipwreckAdventureViewController : UIViewController<FamigoControllerDelegate, UIActionSheetDelegate> {
	LogoAnimationController *logoController;
	FamigoController *famigoController;
	UIImageView *logoView;
	GearTab *gearTab;
	NavigationViewController *navigationController;
	StageDesc previousStage;
}

@property (retain, nonatomic) LogoAnimationController *logoController;
@property (retain, nonatomic) FamigoController *famigoController;
@property (retain, nonatomic) UIImageView *logoView;
@property (retain, nonatomic) GearTab *gearTab;
@property (retain, nonatomic) NavigationViewController *navigationController;
@property (assign, nonatomic) StageDesc previousStage;

@end

